
TTLEXEC                ST Programmer's Manual                  TTLEXEC

NAME
     ttlexec - execute hard disk backup

SYNOPSIS
     ttlexec [-acdfinoqrsvxy] path [...path]

DESCRIPTION
     ttlexec does disk backup to floppies by reading the specified
     path name(s) and writing either all files, or all unarchived
     files. It uses a RAMdisk to create an in-memory image of the
     floppy to write, then does a track-by-track copy of the RAMdisk
     image. The only RAMdisk useable is TRAMDISK.PRG.

     Before executing ttlexec, nearly all of the system memory must be
     available.

     -a   inhibit setting the ARCHIVE bit on files as they are copied.
          Normally the ARCHIVE bit is set as the files are backed up.

     -c # write # copies of each disk. Normally, only one copy of each
          diskette is written.

     -d   hold screen after completion. Normally used only when invoked
          from the desktop.

     -f   format floppies before writing. Normally floppies are assumed
          to be formatted and ready for writing. They need not be erased
          since ttlexec will over-write any existing data on the disks.
          Only normal format diskettes can be formatted, "TWISTER" disks
          must be pre-formatted.

     -i   incremental backup. Copy only the files with the ARCHIVE bit
          reset. Normally, all files are copied.

     -n # number the output disks starting with #. Normally output disks
          are numbered beginning with 1.

     -o   only files are to be copied. All files in the named path are
          backed up (unless -i is specified), but folders within the named
          path are not backed up.

     -q   question before backing up each file.

     -r # RAMdisk is drive # (default is M).

     -s # sectors on output diskettes (default is 1440).

     -v   verify output disks. Normally output disks are written, but not
          read back. 

     -x # exclude files with type ###.

     -y # options file name for re-executing TURTLE.PRG

BUGS
     GEMDOS has a significant problem when over 40 folders are accessed
     between system resets. Avoid this by backing up specific path names
     to control the number of folders read and written between resets.

AUTHOR
     George R. Woodside             Bit Factory 0251/778595
     5219 San Feliciano Dr.         GEnie       G.WOODSIDE
     Woodland Hills, Ca. 91364 

     USENET:   woodside@ttidca
         or:   ..!{philabs|csun|psivax}!ttidca!woodside

Printed 01/11/89                                                1
